| Home | Libraries | People | FAQ | More

## Class template value_initialized

boost::value_initialized

## Synopsis

    // In header: <boost/utility/value_init.hpp>

    template<typename T>
    class value_initialized {
    public:

      // public member functions
      value_initialized();
      T const & data() const;
      T & data();
      void swap(value_initialized &);
      operator T const &() const;
      operator T&();
    };

## Description

### `value_initialized` public member functions

1.     value_initialized();

2.     T const & data() const;

3.     T & data();

4.     void swap(value_initialized & arg);

5.     operator T const &() const;

6.     operator T&();